Bug 965905 - [rhc-fix-missing-frontend] broken with the new .env dir format
[rhc-fix-missing-frontend] broken with the new .env dir format
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 20:52 EDT by Russell Harrison
Modified: 2015-05-14 19:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:07:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2013-05-21 20:52:46 EDT
Description of problem:
rhc-fix-missing-frontend is failing because the export commands have been removed from the environment files.

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/rhc-fix-missing-frontend
rhc-node-1.9.3-1.el6oso.x86_64

How reproducible:
oo-accept-node shows gives the following error:
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 5195fded6cec0e81b000008a

The method for resolving the issue is normally running rhc-fix-missing-frontend on the gear.

$ sudo rhc-fix-missing-frontend 5195fded6cec0e81b000008a
[sudo] password for rharriso: 
Running deploy-httpd-proxy hook for [5195fded6cec0e81b000008a] cart [jenkins-1.4]
/var/lib/openshift/5195fded6cec0e81b000008a/.env/OPENSHIFT_GEAR_DNS: line 1: jenkins1-dmintst1.int.rhcloud.com: command not found
/var/lib/openshift/5195fded6cec0e81b000008a/.env/OPENSHIFT_GEAR_NAME: line 1: jenkins1: command not found
basename: missing operand
Try `basename --help' for more information.
ERROR: hook failed for uuid: 5195fded6cec0e81b000008a
Comment 1 Rob Millner 2013-05-22 13:54:28 EDT
The rhc-fix-missing-frontend script is not compatible with v2 carts at all.  Will see what can be done.
Comment 2 Rob Millner 2013-05-22 16:34:10 EDT
Rewrote to handle v2 as well as v1.

Pull request:
https://github.com/openshift/li/pull/1441

# oo-accept-node

FAIL: Gear has a web framework cartridge but no Apache configuration: 41ae8f62c31c11e2b84712313d173a79
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 41ae8f62c31c11e2b84712313d173a79
FAIL: Gear has a web framework cartridge but no Apache configuration: 357948053779603261489152
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 357948053779603261489152
FAIL: Gear has a web framework cartridge but no Apache configuration: 519d27963903685dfa000001
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519d27963903685dfa000001
FAIL: Gear has a web framework cartridge but no Apache configuration: 519d27fe3903685dfa000009
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519d27fe3903685dfa000009
FAIL: Gear has a web framework cartridge but no Apache configuration: 519d28283903685dfa00000a
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519d28283903685dfa00000a
FAIL: Gear has a web framework cartridge but no Apache configuration: 519d28893903685dfa000013
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519d28893903685dfa000013
12 ERRORS


# rhc-fix-missing-frontend $(grep 'OpenShift guest' /etc/passwd | cut -f 1 -d :)
Rebuilding the frontend for:
	41ae8f62c31c11e2b84712313d173a79
	357948053779603261489152
	519d27963903685dfa000001
	519d27c93903685dfa000004
	519d27fe3903685dfa000009
	519d28283903685dfa00000a
	159295279848551690010624
	519d28893903685dfa000013
Hit 'y' to continue, anything else to abort.
y
Fixing gear: 41ae8f62c31c11e2b84712313d173a79 ...
Fixing gear: 357948053779603261489152 ...
Fixing gear: 519d27963903685dfa000001 ...
Fixing gear: 519d27c93903685dfa000004 ...
Fixing gear: 519d27fe3903685dfa000009 ...
Fixing gear: 519d28283903685dfa00000a ...
Fixing gear: 159295279848551690010624 ...
Fixing gear: 519d28893903685dfa000013 ...
Done

# oo-accept-node
PASS
Comment 3 openshift-github-bot 2013-05-22 19:05:44 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/fc55e3b3c9160d787822e252a569120417ce6a09
Bug 965905 - Rewrite to support both v1 and v2 carts.
Comment 4 Meng Bo 2013-05-23 05:38:03 EDT
Issue has been fixed on devenv_3262,

[root@ip-10-196-90-40 conf]# oo-accept-node
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 04d4d0acc36611e28f4f12313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: d77735c8c36a11e2b95512313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: e32a2646c36a11e2af2c12313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dac7f65d9c95af8000010
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 11765d3ec36c11e2af2c12313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: fb18a850c37311e2b95512313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dbc2565d9c91854000001
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 8cd98b42c37911e29b1312313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 429886511787920098066432
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dcb4265d9c901a400003d
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 866111267982399670059008
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dd30d65d9c93949000001
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 634394483480747187372032
13 ERRORS
[root@ip-10-196-90-40 conf]# rhc-^C
[root@ip-10-196-90-40 conf]# rhc-fix-missing-frontend 519dac7f65d9c95af8000010 11765d3ec36c11e2af2c12313b0859da 519dbc2565d9c91854000001 429886511787920098066432 8cd98b42c37911e29b1312313b0859da
Rebuilding the frontend for:
	519dac7f65d9c95af8000010
	11765d3ec36c11e2af2c12313b0859da
	519dbc2565d9c91854000001
	429886511787920098066432
	8cd98b42c37911e29b1312313b0859da
Hit 'y' to continue, anything else to abort.
y
Fixing gear: 519dac7f65d9c95af8000010 ...
Fixing gear: 11765d3ec36c11e2af2c12313b0859da ...
Fixing gear: 519dbc2565d9c91854000001 ...
Fixing gear: 429886511787920098066432 ...
Fixing gear: 8cd98b42c37911e29b1312313b0859da ...
Done
[root@ip-10-196-90-40 conf]# oo-accept-node 
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 04d4d0acc36611e28f4f12313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: d77735c8c36a11e2b95512313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: e32a2646c36a11e2af2c12313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: fb18a850c37311e2b95512313b0859da
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dcb4265d9c901a400003d
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 866111267982399670059008
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 519dd30d65d9c93949000001
FAIL: Gear has a websocket framework cartridge but no websocket configuration: 634394483480747187372032
8 ERRORS

Note You need to log in before you can comment on or make changes to this bug.